aboutsummaryrefslogtreecommitdiffstats
path: root/test/Maketests
diff options
context:
space:
mode:
authorArnold D. Robbins <arnold@skeeve.com>2012-08-24 13:25:52 +0300
committerArnold D. Robbins <arnold@skeeve.com>2012-08-24 13:25:52 +0300
commit8970970f3f3bc3d757fe491e90e608366fb7e604 (patch)
tree5191834bc71c9674180dfa0103ae3d6edce4cabe /test/Maketests
parentcca8e6fca6c40de9c67f17ed74fc80291fd969e1 (diff)
downloadegawk-8970970f3f3bc3d757fe491e90e608366fb7e604.tar.gz
egawk-8970970f3f3bc3d757fe491e90e608366fb7e604.tar.bz2
egawk-8970970f3f3bc3d757fe491e90e608366fb7e604.zip
Add output and two-way processors to API. Update Mac config stuff.
Diffstat (limited to 'test/Maketests')
-rw-r--r--test/Maketests10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/Maketests b/test/Maketests
index 675551e3..3951c3ff 100644
--- a/test/Maketests
+++ b/test/Maketests
@@ -1239,6 +1239,16 @@ ordchr:
@AWKPATH=$(srcdir) $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
+revout:
+ @echo $@
+ @AWKPATH=$(srcdir) $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ @-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
+
+revtwoway:
+ @echo $@
+ @AWKPATH=$(srcdir) $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ @-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
+
rwarray:
@echo $@
@AWKPATH=$(srcdir) $(AWK) -f $@.awk < $(srcdir)/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@